package com.house365.ws.interfaces.server;

import com.house365.beans.entity.CustomerEntity;
import com.house365.beans.entity.DepartmentEntity;
import com.house365.beans.entity.UserEntity;

import java.util.List;
import java.util.Map;

/**
 * @author
 * Created by Administrator on 2019/2/25.
 */
public interface IExportExcelInterface {

    List<Map<String,Object>> queryCount();

    List<Map<String,Object>> queryByManagerId(Map<String,Object> map);

    UserEntity getById(int id);

    List<Map<String,Object>> queryCustomerLog(Map<String,Object> map);

    List<Map<String,Object>> queryCustomerByStatus(Map<String,Object> map);

    int queryCustomerLogCount(Map<String, Object> map);

    int queryCustomerByStatusCount(Map<String, Object> map);

    List<CustomerEntity> queryAllByCity();

    List<String> queryByCondition(Map<String,Object> map);

    List<Map<String,Object>> queryCustomerLogBySource(Map<String,Object> map);

    List<Map<String,Object>> queryBySource(Map<String,Object> map);

    List<Map<String,Object>> queryByStatusAndSource(Map<String,Object> map);

    DepartmentEntity queryById(int id);

    List<Map<String,Object>> querySource();
}
